Subject: Re: bug#32713: Documentation in ePub format

From: Дилян Палаузов<[email-masked]>
Date: Fri, 23 Aug 2019 09:16:25 +0000

Hello,

I want that https://www.gnu.org/software/emacs/manual/emacs.html lists under “The GNU Emacs manual is available in the
following formats:” also an “• ePub.” entry.

To achieve this, one can call on the document generating server

cd /git
git clone https://github.com/jlhg/texinfo2epub
cd /src/emacs-26.2/doc/emacs
/git/texinfo2epub/texinfo2epub.sh emacs.texi emacs.epub

Whether these lines are suitable within a build target, is a different question.  Please do not concentrate on this
question, but rather on what is necessary to list epub under https://www.gnu.org/software/emacs/manual/emacs.html .

The next quesion would be, how can this be extendend this to other projects, like publishing epub under 
https://www.gnu.org/software/gdb/documentation/ or https://www.gnu.org/software/wget/manual/ .

Regards
  Дилян

On Fri, 2019-08-23 at 10:56 +0300, Eli Zaretskii wrote:
> > From: Richard Stallman <[email-masked]>
> > Date: Thu, 22 Aug 2019 19:36:32 -0400
> > Cc: [email-masked], [email-masked], [email-masked]
> > 
> >   > I think "publishing in .epub" just means adding some rules to the
> >   > makefile (and maybe adding those files to the website).
> > 
> > I think so too.
> 
> This is certainly a valid interpretation of the request, but it isn't
> the only one, especially given the intended use of epub documents.
> 
> The only person who knows for sure what was the intent is the OP, and
> I'd like to hear from him before deciding what to do with this issue.
> 
> Thanks.